<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.admin.mapper.SysOutRelDictMapper">

	<resultMap id="sysOutRelDictMap" type="com.yifu.cloud.plus.v1.yifu.admin.api.entity.SysOutRelDict">
		<id property="id" column="id"/>
		<result property="clientType" column="client_type"/>
		<result property="sysDictType" column="sys_dict_type"/>
		<result property="clientId" column="client_id"/>
	</resultMap>
	<sql id="Base_Column_List">
                a.id,
                a.client_type,
                a.sys_dict_type,
                a.client_id
    </sql>
	<sql id="sysOutRelDict_where">
		<if test="sysOutRelDict != null">
			<if test="sysOutRelDict.id != null">
				AND a.id = #{sysOutRelDict.id}
			</if>
			<if test="sysOutRelDict.clientType != null and sysOutRelDict.clientType.trim() != ''">
				AND a.client_type = #{sysOutRelDict.clientType}
			</if>
			<if test="sysOutRelDict.sysDictType != null and sysOutRelDict.sysDictType.trim() != ''">
				AND a.sys_dict_type = #{sysOutRelDict.sysDictType}
			</if>
			<if test="sysOutRelDict.delFlag != null and sysOutRelDict.delFlag.trim() != ''">
				AND a.del_flag = #{sysOutRelDict.delFlag}
			</if>
			<if test="sysOutRelDict.clientId != null and sysOutRelDict.clientId.trim() != ''">
				AND a.client_id = #{sysOutRelDict.clientId}
			</if>
		</if>
	</sql>
	<!--sysOutRelDict简单分页查询-->
	<select id="getSysOutRelDictPage" resultMap="sysOutRelDictMap">
		SELECT
		<include refid="Base_Column_List"/>
		FROM sys_out_rel_dict a
		<where>
			1=1
			<include refid="sysOutRelDict_where"/>
		</where>
	</select>
</mapper>
